Package org.apache.catalina.tribes.membership.cloud

## Class CertificateStreamProvider

- java.lang.Object
- - org.apache.catalina.tribes.membership.cloud.AbstractStreamProvider
  - - org.apache.catalina.tribes.membership.cloud.CertificateStreamProvider

All Implemented Interfaces:
  `StreamProvider`

    public class CertificateStreamProvider
    extends AbstractStreamProvider

### Field Summary

### Fields inherited from class org.apache.catalina.tribes.membership.cloud.AbstractStreamProvider

`INSECURE_TRUST_MANAGERS, sm`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.net.ssl.SSLSocketFactory` `getSocketFactory()`

### Methods inherited from class org.apache.catalina.tribes.membership.cloud.AbstractStreamProvider

`configureCaCert, openConnection, openStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSocketFactory

    protected javax.net.ssl.SSLSocketFactory getSocketFactory()

Specified by:
  `getSocketFactory` in class `AbstractStreamProvider`
Returns:
  the socket factory, or null if not needed